Subject: Re: [Bitcoin-development] Address Expiration to Prevent Reuse

From: Gregory Maxwell <[email-masked]>
Date: Thu, 26 Mar 2015 23:00:50 +0000

On Thu, Mar 26, 2015 at 10:28 PM, s7r <[email-masked]> wrote:
> This should not be enforced by default.

No one suggested _anything_ like that. Please save the concern for
someplace its actually applicable.

> I know it's not recommended to use the same pubkey more than once, but
> the protocol was not designed this way.

For a point of pedantry, the protocol actually was designed that way
and in the initial versions of the software there was actually no user
exposed mechanism to reuse a scriptPubkey no matter how hard you
tried.